Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Var_Var_T< T > Class Template Reference

Parametrized implementation of _var class for structs, unions, and exceptions with members of variable size. More...

`#include <VarOut_T.h>`

Inheritance diagram for TAO_Var_Var_T< T >:

[legend]
Collaboration diagram for TAO_Var_Var_T< T >:

[legend]
List of all members.

## Public Types
typedef T *& | _out_type
typedef T * | _retn_type
## Public Methods
| TAO_Var_Var_T (void)
| TAO_Var_Var_T (T *)
| TAO_Var_Var_T (const TAO_Var_Var_T< T > &)
TAO_Var_Var_T & | operator= (T *)
TAO_Var_Var_T & | operator= (const TAO_Var_Var_T< T > &)
| operator T *& ()
_out_type | out (void)
_retn_type | _retn (void)

## Detailed Description

### template<typename T>
class TAO_Var_Var_T< T >

Parametrized implementation of _var class for structs, unions, and exceptions with members of variable size.

## Member Typedef Documentation

template<typename T>
typedef T*& TAO_Var_Var_T< T >::_out_type

template<typename T>
typedef T* TAO_Var_Var_T< T >::_retn_type

## Constructor & Destructor Documentation

template<typename T>
ACE_INLINE TAO_Var_Var_T< T >::TAO_Var_Var_T | ( | void |  | ) |

template<typename T>
ACE_INLINE TAO_Var_Var_T< T >::TAO_Var_Var_T | ( | T * |  | ) |

template<typename T>
ACE_INLINE TAO_Var_Var_T< T >::TAO_Var_Var_T | ( | const TAO_Var_Var_T< T > & |  | ) |

## Member Function Documentation

template<typename T>
ACE_INLINE T * TAO_Var_Var_T< T >::_retn | ( | void |  | ) |

template<typename T>
ACE_INLINE TAO_Var_Var_T< T >::operator T *& | ( |  | ) |

template<typename T>
TAO_Var_Var_T< T > & TAO_Var_Var_T< T >::operator= | ( | const TAO_Var_Var_T< T > & |  | ) |

template<typename T>
ACE_INLINE TAO_Var_Var_T< T > & TAO_Var_Var_T< T >::operator= | ( | T * |  | ) |

template<typename T>
ACE_INLINE T *& TAO_Var_Var_T< T >::out | ( | void |  | ) |

The documentation for this class was generated from the following files:

- VarOut_T.h
- VarOut_T.cpp
- VarOut_T.inl